Bug 616880 - glibc package in Fedora should Requires: sssd-client
glibc package in Fedora should Requires: sssd-client
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Schwab
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-21 11:51 EDT by Stephen Gallagher
Modified: 2016-11-24 11:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:11:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gallagher 2010-07-21 11:51:51 EDT
Description of problem:
Right now, a default install of Fedora includes sssd-client.x86_64, so that 64-bit applications can communicate with the System Security Services Daemon to retrieve network users and groups with getpwnam and getpwent, etc.

The problem is that when 32-bit applications are installed (e.g. third-party, closed-source apps like Adobe Reader), glibc.i686 is installed by dependencies, but these 32-bit apps will not acquire the 32-bit version of the sssd-client, resulting in any request to getpwnam, etc. to fail. This can cause the application to fail in some spectacular and non-obvious ways.

The requested solution would be for the sssd-client package to be made a dependency of glibc, so that the appropriate version would be installed whenever a new variant of glibc appears. The sssd-client package is ~80kb and contains only two small files (libnss_sss.so.2 and libpam_sss.so which just forward requests to the daemon)


Version-Release number of selected component (if applicable):
glibc-2.12-3
Comment 1 Andreas Schwab 2010-07-21 12:09:01 EDT
glibc works fine without sssd-client so this is the wrong place.  The dependency only exists when sssd-client is already installed.  This is a problem with any pam or nss modules on biarch systems, thus it requires a more general solution.
Comment 2 Bug Zapper 2011-06-01 09:17:01 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-29 09:11:01 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.